package be.iminds.ilabt.jfed.ui.cli2.instruction;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;
import java.util.List;

public class DecryptPemInstruction extends Instruction {
    @JsonCreator
    public DecryptPemInstruction(@JsonProperty("action") @Nonnull Action action,
                                 @JsonProperty("user") @Nullable User user,
                                 @JsonProperty("actionOutputs") @Nullable List<ActionOutput> actionOutputs,
                                 @JsonProperty("debugOutputs") @Nullable List<DebugOutput> debugOutputs,
                                 @JsonProperty("callOutputs") @Nullable List<CallOutput> callOutputs,
                                 @JsonProperty("proxy") @Nullable ProxySettings proxy) {
        super(action, user, actionOutputs, debugOutputs, callOutputs, proxy);
    }

    private DecryptPemInstruction(boolean demo) {
        super(Action.DECRYPTPEM, demo);
    }

    @JsonIgnore
    @Nonnull
    @Override
    public Action getActionOfClass() {
        return Action.DECRYPTPEM;
    }
}
